summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2014-08-06 09:27:53 +0200
committer Willy Sudiarto Raharjo2014-08-06 09:27:53 +0200
commit6f3bd06d133b32a5462349f9db83d1846666598c (patch)
tree59976c3c21281fc594fb7a2c263f52494fdd3697
parentac148c18c91c5854976adc8fd354ca34c16cd8ba (diff)
downloadslackbuilds-6f3bd06d133b32a5462349f9db83d1846666598c.tar.gz
system/cool-old-term: Added (old school terminal emulator).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/cool-old-term/README4
-rw-r--r--system/cool-old-term/cool-old-term.SlackBuild103
-rw-r--r--system/cool-old-term/cool-old-term.desktop10
-rw-r--r--system/cool-old-term/cool-old-term.info10
-rw-r--r--system/cool-old-term/cool-old-term.pngbin0 -> 43109 bytes
-rw-r--r--system/cool-old-term/doinst.sh3
-rw-r--r--system/cool-old-term/slack-desc19
7 files changed, 149 insertions, 0 deletions
diff --git a/system/cool-old-term/README b/system/cool-old-term/README
new file mode 100644
index 0000000000..94f86552c0
--- /dev/null
+++ b/system/cool-old-term/README
@@ -0,0 +1,4 @@
+cool-old-term is a terminal emulator which tries to mimic the look
+and feel of the old cathode tube screens.
+It has been designed to be eye-candy, customizable, and reasonably
+lightweight.
diff --git a/system/cool-old-term/cool-old-term.SlackBuild b/system/cool-old-term/cool-old-term.SlackBuild
new file mode 100644
index 0000000000..0c7e443b83
--- /dev/null
+++ b/system/cool-old-term/cool-old-term.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for cool-old-term
+
+# Copyright 2014 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cool-old-term
+VERSION=${VERSION:-20140804_2494bc0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="README.md gpl-2.0.txt gpl-3.0.txt"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd konsole-qml-plugin
+qmake-qt5
+make
+make install
+cd ..
+
+# manual install
+mkdir -p $PKG/usr/bin $PKG/usr/share/$PRGNAM
+cp -a app imports $PKG/usr/share/$PRGNAM/
+echo -e '#!/bin/bash\nqmlscene -I /usr/share/cool-old-term/{imports,app/main.qml}' \
+ > $PKG/usr/bin/$PRGNAM
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+# install self made icon and desktop file
+install -m 0644 -D $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -m 0644 -D $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cool-old-term/cool-old-term.desktop b/system/cool-old-term/cool-old-term.desktop
new file mode 100644
index 0000000000..2f45e944e2
--- /dev/null
+++ b/system/cool-old-term/cool-old-term.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Cool Old Term
+GenericName=Terminal
+Comment=Use the command line
+TryExec=cool-old-term
+Exec=cool-old-term
+Icon=cool-old-term
+Type=Application
+Categories=System;TerminalEmulator;
diff --git a/system/cool-old-term/cool-old-term.info b/system/cool-old-term/cool-old-term.info
new file mode 100644
index 0000000000..6a170c4a7e
--- /dev/null
+++ b/system/cool-old-term/cool-old-term.info
@@ -0,0 +1,10 @@
+PRGNAM="cool-old-term"
+VERSION="20140804_2494bc0"
+HOMEPAGE="https://github.com/Swordifish90/cool-old-term"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/cool-old-term-20140804_2494bc0.tar.xz"
+MD5SUM="b10afdf2950097fd0e57575d68d14907"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/system/cool-old-term/cool-old-term.png b/system/cool-old-term/cool-old-term.png
new file mode 100644
index 0000000000..c2f91c2d25
--- /dev/null
+++ b/system/cool-old-term/cool-old-term.png
Binary files differ
diff --git a/system/cool-old-term/doinst.sh b/system/cool-old-term/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/cool-old-term/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/cool-old-term/slack-desc b/system/cool-old-term/slack-desc
new file mode 100644
index 0000000000..1672eeafad
--- /dev/null
+++ b/system/cool-old-term/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cool-old-term: cool-old-term (old school terminal emulator)
+cool-old-term:
+cool-old-term: cool-old-term is a terminal emulator which tries to mimic the look
+cool-old-term: and feel of the old cathode tube screens.
+cool-old-term: It has been designed to be eye-candy, customizable, and reasonably
+cool-old-term: lightweight.
+cool-old-term:
+cool-old-term: homepage: https://github.com/Swordifish90/cool-old-term
+cool-old-term:
+cool-old-term:
+cool-old-term: